<?php 
$pageName = "news";

require_once('config/config.php');
require_once(CLASS_DIR.'dbClass.php');
require_once(INCLUDES_DIR.'header.php');

include('hitCounter.php');

$obj = new DBClass();
$obj5 = new DBClass();
$obj9 = new DBClass();
$obj7 = new DBClass();
$obj8 = new DBClass();

if(isset($_POST['submit']) && $_POST['submit'] == 'Register'){
	
	$valid = checkEmail($_POST['email'], "Email"); if(isset($valid) && $valid != ''){ $error[] = $valid;}
	
	$sql7 = "SELECT * FROM ".TBL_NEWSSUB." WHERE email = '".$_POST['email']."'";
	$rs7 = $obj7->executeQry($sql7,$link);
	$row7 = $obj7->fetchrow();	 

	if($row7['email'] == $_POST['email'] && ($_POST['email']!= '')){ $error[] = "This email is already registered.";}
	
	if($error == ''){
		$sql8 = "INSERT INTO ".TBL_NEWSSUB." (email,register_date) VALUES ('".trim($_POST['email'])."','".date("Y-m-d")."')";

	$rs8 = $obj8->executeQry($sql8,$link);
	
		if($rs8){
				$to        	= 	$_POST['email'];
				$subject	=	"Coalbazaar News Registration Successfully";
				$message	= 	"Dear Customer,  <br><br>".
				"Thanks for showing interest on us.<br>".
				"Now you will get coal news by email..<br><br>".
				"Regards<br>".
				"coalbazaar.com<br>";
				$headers  = 'MIME-Version: 1.0' . "\r\n";
				$headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
				$headers .= "From: admin@coalbazaar.com \r\n";
				$sended=@mail($to, $subject, $message, $headers);	
				if($sended!='')	
				{
					@header('Location: news.php?action=done');
					exit;		
				}
		}
	}
}


if(isset($_GET['title']) && $_GET['title']!='') {
	$sql = "SELECT * FROM ".TBL_NEWS." WHERE title = '".$_GET['title']."' AND status = 0";
	
	$rs = $obj->executeQry($sql,$link);
	$row = $obj->fetchrow();
	
	$news_hit = $row['news_hit'];
	$news_hit = $news_hit + 1;
	$sql9 = "UPDATE ".TBL_NEWS." set news_hit = '".$news_hit."' where id = ".$row['id'];
	$rs9 = $obj9->executeQry($sql9,$link);

}
else {

$adjacents = 5;

$tbl_name=TBL_NEWS;

$query = "SELECT COUNT(*) as num FROM $tbl_name WHERE added_date<='".date('Y-m-d')."'";
$total_pages = mysql_fetch_array(mysql_query($query));
$total_pages = $total_pages[num];

$targetpage = "news.php";

$limit = 10;
$page = $_GET['page'];
if($page) 
	$start = ($page - 1) * $limit;
else
	$start = 0;	

$sql = "SELECT * FROM $tbl_name WHERE added_date<='".date('Y-m-d')."' order by added_date DESC LIMIT $start, $limit";
	$result = mysql_query($sql);
	

	if ($page == 0) $page = 1;					//if no page var is given, default to 1.
	$prev = $page - 1;							//previous page is page - 1
	$next = $page + 1;							//next page is page + 1
	$lastpage = ceil($total_pages/$limit);		//lastpage is = total pages / items per page, rounded up.
	$lpm1 = $lastpage - 1;						//last page minus 1
	
	/* 
		Now we apply our rules and draw the pagination object. 
		We're actually saving the code to a variable in case we want to draw it more than once.
	*/
	$pagination = "";
	if($lastpage > 1)
	{	
		$pagination .= "<div class=\"pagination\">";
		//previous button
		if ($page > 1) 
			$pagination.= "<a href=\"$targetpage?page=$prev\">previous</a>";
		else
			$pagination.= "<span class=\"disabled\">previous</span>";	
		
		//pages	
		if ($lastpage < 7 + ($adjacents * 2))	//not enough pages to bother breaking it up
		{	
			for ($counter = 1; $counter <= $lastpage; $counter++)
			{
				if ($counter == $page)
					$pagination.= "<span class=\"current\">$counter</span>";
				else
					$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
			}
		}
		elseif($lastpage > 5 + ($adjacents * 2))	//enough pages to hide some
		{
			//close to beginning; only hide later pages
			if($page < 1 + ($adjacents * 2))		
			{
				for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage?page=$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage?page=$lastpage\">$lastpage</a>";		
			}
			//in middle; hide some front and some back
			elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
			{
				$pagination.= "<a href=\"$targetpage?page=1\">1</a>";
				$pagination.= "<a href=\"$targetpage?page=2\">2</a>";
				$pagination.= "...";
				for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage?page=$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage?page=$lastpage\">$lastpage</a>";		
			}
			//close to end; only hide early pages
			else
			{
				$pagination.= "<a href=\"$targetpage?page=1\">1</a>";
				$pagination.= "<a href=\"$targetpage?page=2\">2</a>";
				$pagination.= "...";
				for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
			}
		}
		
		//next button
		if ($page < $counter - 1) 
			$pagination.= "<a href=\"$targetpage?page=$next\">next</a>";
		else
			$pagination.= "<span class=\"disabled\">next</span>";
		$pagination.= "</div>\n";		
	}

}


?>
<!--workarea start------------------------->
<div class="workarea">
	<div class="workareatop">
		<img src="images/workareatopcorner_03.PNG" alt="" />
	</div>
	<!--workareamid start--------------------->
	<div class="workareamid">
		<div id="floatleft" style="width:590px; float:left;">
			<div class="welcomediv">
			
				<?php if(isset($_GET['title']) && $_GET['title']!='') { ?>
					 <h2><?php echo $row['title'];?><span style="float:right;color:#0000FF;font-size:12px;"><?php echo date("F j, Y",strtotime($row['added_date'])) ?></span></h2><br />
					 <?php echo html_entity_decode(stripslashes($row['news']));?>
					 <div style="float:right;font-size:12px;"><a href="javascript:history.go(-1);" title="go back to previous page" style="color:#0000FF;">Back</a></div>
				<?php } else { ?>
				<h2>News & Events</h2><br />
				<?php if(isset($_GET['action']) && $_GET['action'] == 'done') { ?>
					<div style="color:red;margin-bottom:10px;">Thanks for registering with us.</div>
				<?php } ?>	
				<div>
						<table height="80" cellpadding="2" cellspacing="2" width="70%" style="border:solid;border-width:1px;">
								<tr height="30" align="left" valign="top">
										<td colspan="3">E Mail Based Daily News Letter (Free Subscription)</td>
								</tr>
								<tr valign="middle">
									<form action="" method="post">
										<td class="formtxt" style="width:60px;">Email Id </td>
										<td><input type="text" name="email" id="email" class="txt_box2" style="90px;"/></td>
										<td><input type="hidden"  name="submit" value="Register" /> <input type="image" src="images/registr.PNG" style="border:none;width:130px;"/></td>
									</form>
								</tr>
						</table>
				</div>
				<span class="err_msg"><?php ShowError($error); ShowInfo($info);?></span>
				<br /><br />
				<?php
					while($nws = mysql_fetch_array($result)) { 
				 ?>
				 <div class="newsdetail" style="margin-bottom:25px;">
				 		<div class="datebox">
								<span><?php echo date("d/m",strtotime($nws['added_date'])) ?></span>
						</div>
						 <p> <a href="news.php?title=<?php echo $nws['title']; ?>"><strong><?php echo $nws['title']; ?></strong></a><br /><?php echo substr(strip_tags(html_entity_decode(stripslashes($nws['news']))),0,320); ?></p> 
						 <a href="news.php?title=<?php echo $nws['title']; ?>" style="text-align:right; float:right"><img src="images/readmore1.PNG" alt="" class="morebutton" style="border:none;"></a>
				</div>
				<?php } ?>
				<br />
				<?php }  ?>
				<table width="100%" align="center" cellpadding="0" cellspacing="0">
						<tr>
							<td align="center" width="100%"><?php echo $pagination; ?></td>
						</tr>                   
				</table>    



						</div>
				</div>
				<?php require_once(INCLUDES_DIR.'left_bar.php');?>
                <!--floatright close-------------------->
                <div style="clear:both;"></div>
            </div>
            <!--workareamid close--------------------->
            <div class="workareabottom">
                <img src="images/workareabottomcorner_03.PNG" alt="" />
            </div>
        </div>
    <!--workarea close------------------------->
<?php require_once(INCLUDES_DIR.'footer.php');?>